%define anolis_release 3

Name:           accountsservice
Version:        22.08.8
Release:        %{anolis_release}%{?dist}
Summary:        D-Bus interfaces for querying and manipulating user account information
License:        GPLv3+
URL:            https://www.freedesktop.org/wiki/Software/AccountsService/

Source0:        https://gitlab.freedesktop.org/%{name}/%{name}/-/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  glib2-devel
BuildRequires:  polkit-devel
BuildRequires:  systemd
BuildRequires:  systemd-devel
BuildRequires:  gobject-introspection-devel
BuildRequires:  gtk-doc
BuildRequires:  git
BuildRequires:  meson
BuildRequires:  vala
BuildRequires:  libvala
BuildRequires:  libvala-devel

Requires:       polkit
Requires:       shadow-utils
%{?systemd_requires}

%description
The accountsservice project provides a set of D-Bus interfaces for
querying and manipulating user account information and an implementation
of these interfaces, based on the useradd, usermod and userdel commands.

%package libs
Summary: Client-side library to talk to accountsservice
Requires: %{name} = %{version}-%{release}

%description libs
The accountsservice-libs package contains a library that can
be used by applications that want to interact with the accountsservice
daemon.

%package devel
Summary: Development files for accountsservice-libs
Requires: %{name}-libs = %{version}-%{release}

%description devel
The accountsservice-devel package contains headers and other
files needed to build applications that use accountsservice-libs.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -S git

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

mkdir -p $RPM_BUILD_ROOT%{_datadir}/accountsservice/interfaces/

%generate_compatibility_deps

%find_lang accounts-service

%post
%systemd_post accounts-daemon.service

%preun
%systemd_preun accounts-daemon.service

%postun
%systemd_postun accounts-daemon.service

%files -f accounts-service.lang
%license COPYING
%{_datadir}/dbus-1/system.d/org.freedesktop.Accounts.conf
%{_libexecdir}/accounts-daemon
%dir %{_datadir}/accountsservice/
%dir %{_datadir}/accountsservice/interfaces/
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.Accounts.User.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.Accounts.service
%{_datadir}/polkit-1/actions/org.freedesktop.accounts.policy
%dir %{_localstatedir}/lib/AccountsService/
%dir %{_localstatedir}/lib/AccountsService/users
%dir %{_localstatedir}/lib/AccountsService/icons
%{_unitdir}/accounts-daemon.service
%{_datadir}/vala
%{_datadir}/accountsservice/user-templates

%files libs
%dir %{abidir}
%{abidir}/libaccountsservice.dump
%{_libdir}/libaccountsservice.so.*
%{_libdir}/girepository-1.0/AccountsService-1.0.typelib

%files devel
%{_includedir}/accountsservice-1.0
%{_libdir}/libaccountsservice.so
%{_libdir}/pkgconfig/accountsservice.pc
%{_datadir}/gir-1.0/AccountsService-1.0.gir
%dir %{_datadir}/gtk-doc/html/libaccountsservice
%{_datadir}/gtk-doc/html/libaccountsservice/*

%files doc
%doc README.md AUTHORS INSTALL TODO

%changelog
* Tue Dec 19 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 22.08.8-3
- rebuild

* Fri Feb 10 2023 happy_orange <songnannan@linux.alibaba.com> - 22.08.8-2
- add generate compatibility scripts and doc package

* Mon May 09 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 22.08.8-1
- Init from upstream version 22.08.8
